Loading...
Searching...
No Matches
RGroupDecompParams.h File Reference
`#include "../RDKitBase.h"`
`#include <GraphMol/Substruct/SubstructMatch.h>`

Go to the source code of this file.

## Classes

struct | RDKit::RGroupDecompositionParameters

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum | RDKit::RGroupLabels { RDKit::IsotopeLabels = 0x01 , RDKit::AtomMapLabels = 0x02 , RDKit::AtomIndexLabels = 0x04 , RDKit::RelabelDuplicateLabels = 0x08 , RDKit::MDLRGroupLabels = 0x10 , RDKit::DummyAtomLabels = 0x20 , RDKit::AutoDetect = 0xFF }
enum | RDKit::RGroupMatching { RDKit::Greedy = 0x01 , RDKit::GreedyChunks = 0x02 , RDKit::Exhaustive = 0x04 , RDKit::NoSymmetrization = 0x08 , RDKit::GA = 0x10 }
enum | RDKit::RGroupLabelling { RDKit::AtomMap = 0x01 , RDKit::Isotope = 0x02 , RDKit::MDLRGroup = 0x04 }
enum | RDKit::RGroupCoreAlignment { RDKit::None = 0x0 , RDKit::NoAlignment = 0x0 , RDKit::MCS = 0x01 }
enum | RDKit::RGroupScore { RDKit::Match = 0x1 , RDKit::FingerprintVariance = 0x4 }